function [V,S,U,r,X] = pinv_ny(ny,RSample,tol)
%PINV   Pseudoinverse using Nystroem approximated input matrix 
%   (C) Frank-M. Schleif 2014
X = [];

bTol = true;
if(~exist('tol','var')) % std pinv tol parameter
    bTol = false;    
end
[n,m] = size(ny{1});
[U, S, V] = svd_ny_long(ny,RSample);
if m > 1, s = diag(S);
  elseif m == 1, s = S(1);
  else s = 0;
end
if ~bTol
  tol = max(m,n) * eps(max(s));
end
r = sum(s > tol);
if (r == 0)
    if(nargout > 4)
        X = zeros(n);
    end
else
    s = diag(ones(r,1)./s(1:r));
    S = s;
    if(nargout > 4)
        X = V(:,1:r)*S*U(:,1:r)';
    end
end

